LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices



Reply
 
Search this Thread
Old 05-20-2005, 10:05 PM   #1
JakeMH
LQ Newbie
 
Registered: Feb 2005
Posts: 22

Rep: Reputation: 15
How to remove old version of GTK?


I just installed GTK+-2.6, and when I tried to install Gaim 1.3.0, it gave me the error:

checking for GTK+ - version >= 2.0.0...
*** 'pkg-config --modversion gtk+-2.0' returned 2.6.0, but GTK+ (2.4.9)
*** was found! If pkg-config was correct, then it is best
*** to remove the old version of GTK+. You may also be able to fix the error
*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing
*** /etc/ld.so.conf. Make sure you have run ldconfig if that is
*** required on your system.
*** If pkg-config was wrong, set the environment variable PKG_CONFIG_PATH
*** to point to the correct configuration files
no
configure: error:
*** GTK+ 2.0 is required to build Gaim; please make sure you have the GTK+
*** development headers installed. The latest version of GTK+ is
*** always available at http://www.gtk.org/.


How do I remove GTK+-2.4.9 without removing 2.6? Is there another way to solve this problem?

Thanks
 
Old 05-21-2005, 12:20 AM   #2
reddazz
Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Rep: Reputation: 74
What Linux distribution and version are you using. Providing this info in your profile or the question is important because it helps you get more accurate answers. If you compiled gtk yourself, then it will have been installed in /usr/local. You could install gtk 2.6 into /usr and that would overwrite the 2.4 version.

Last edited by reddazz; 05-21-2005 at 08:25 AM.
 
Old 05-21-2005, 03:05 AM   #3
spariggio82
Member
 
Registered: Apr 2004
Location: Camporotondo Etneo, Sicily
Distribution: SuSE 8.2 SuSE 9.1 Fedora C1 Slackware 10.1 Knoppix 3.9
Posts: 174

Rep: Reputation: 30
I had the same preoblem but it isn't so easy to solve. I've tryed to uninstall them using pkgconfig but it doesn't remove completely the pkg!!!!

However a lots of programs still need GTK 2.6.4 (like aMule)

Good Luck
 
Old 05-21-2005, 09:20 AM   #4
JakeMH
LQ Newbie
 
Registered: Feb 2005
Posts: 22

Original Poster
Rep: Reputation: 15
Sorry, I'm using Mandrake 10.1. I used ./configure --prefix=/usr to install 2.6, and 2.4 was already installed. Is GTK+-2.6 installed in the /usr/lib/gtk-2.0 directory? What is gaim finding that is making it think that I'm using 2.4?

Thanks again, and sorry for the lack of information.
 
Old 05-21-2005, 10:38 AM   #5
reddazz
Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Rep: Reputation: 74
Did you do "/sbin/ldconfig" when you upgraded the gtk version?
 
Old 05-21-2005, 01:53 PM   #6
JakeMH
LQ Newbie
 
Registered: Feb 2005
Posts: 22

Original Poster
Rep: Reputation: 15
Yeah, I executed ldconfig. Would my best option be to just remove gtk completely and reinstall 2.6? To do that should I just remove all the gtk folders and the files with gtk in it in the pkgconfig directory?
 
Old 05-21-2005, 03:25 PM   #7
reddazz
Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Rep: Reputation: 74
I wouldn't uninstall gtk completely, that would break your system because a lot of Mandrake gui config apps use gtk2.
 
Old 05-22-2005, 10:49 AM   #8
JakeMH
LQ Newbie
 
Registered: Feb 2005
Posts: 22

Original Poster
Rep: Reputation: 15
Thanks for the help. I finally got it work. I just removed all the gtk-2.0 folders and reinstalled gtk into /usr.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Patch to remove GTK dotted lines... 3saul Linux - Software 3 11-08-2005 12:13 AM
how do i remove old kernel version? cd1680 Fedora - Installation 3 03-21-2005 11:02 PM
How to remove a kernel version? Lead Expression Linux - Newbie 8 01-11-2005 05:39 AM
Remove one version of the kernel linux_faq Linux - Software 1 05-24-2004 02:44 PM
Apache version remove zeky Linux - General 1 09-03-2002 06:01 PM


All times are GMT -5. The time now is 08:48 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration